@charset "utf-8";

/* -------------------------------------------------------------------------------------------

ACFブロック

------------------------------------------------------------------------------------------- */

/* QA
--------------------------------------------------------------- */

.qa-index {
    padding: 1.5em 3em;
    background: var(--color-light-blue);
    border-radius: 5px;
    margin-bottom: 3.125em;

    .qa-index__list {
        display: flex;
        flex-wrap: wrap;
        gap: 1.5em 2em;
        line-height: 1.54;
    }

    & a {
        color: var(--color-main);
        font-weight: 500;

        &::after {
            content: "";
            display: inline-block;
            width: .81em;
            min-width: 0;
            aspect-ratio: 1 / .769;
            mask: url(../img/toc_icon.svg) center center / contain no-repeat;
            background-color: var(--color-main);
            margin-left: .6em;
        }
    }
}

.qa-list__item {

    &:not(:last-child) {
        margin-bottom: 4em;
    }

    & dt,
    & dd {
        position: relative;
        display: grid;
        grid-template-columns: var(--fs40px) minmax(0, 1fr);
        gap: var(--fs10px);

        &::before {
            content: "";
            display: grid;
            place-content: center;
            font-size: var(--fs18px);
            font-weight: 700;
            width: 100%;
            min-width: 0;
            aspect-ratio: 1/1;
            border-radius: 100vmax;
            line-height: 1;
            margin-top: -.2em;
        }
    }

    & dt::before {
        content: "Q";
        color: #fff;
        background: var(--color-main);
    }

    & dd::before {
        content: "A";
        background: var(--color-yellow);
    }

    & dt {
        color: var(--color-main);
        font-size: var(--fs18px);
        font-weight: 700;
        margin-bottom: 2em;
    }

    & dd {

        /* - a */
        & a:not([class]) {
            text-decoration: underline;
        }

        /* - ul */
        & ul:not(.init) {
            list-style: disc;
            padding-left: 1.5em;
            margin: 1em auto;

            &>li {
                list-style: disc;

                &:not(:last-child) {
                    margin-bottom: .3em;
                }
            }
        }

        & ul:not(.init):last-child {
            margin-bottom: 0;
        }

        /* - ol */
        & ol:not(.init) {
            list-style: decimal;
            padding-left: 1.5em;
            margin: 1em auto;

            &>li:not(:last-child) {
                margin-bottom: 1em;
            }
        }

        & ol:not(.init):last-child {
            margin-bottom: 0;
        }


    }
}


/* アコーディオン
--------------------------------------------------------------- */

.details-block {
    position: relative;
    display: block;
    padding: var(--fs15px) var(--fs40px);
    background: #FFFCE3;
    border-radius: .312em;
    margin-bottom: 3.75em;
    z-index: 3;
    transition: opacity .3s;

    .wp-block-separator {
        margin-block: 1.5em;
    }

}

.details__header {
    display: grid;
    grid-template-columns: 1fr 8.5rem;
    gap: 1em;
    justify-content: space-between;
    align-items: center;
}

.details__title {
    color: var(--color-main);
    font-size: var(--fs18px);
    font-weight: 700;
    cursor: pointer;
}

.details__body {
    display: none;
    position: relative;
    padding: 0 0 1em;

    &::before {
        content: "";
        display: block;
        height: 5px;
        border-radius: 3px;
        background: var(--color-pale-blue);
        margin: var(--fs15px) 0 1.5em;
    }
}

.details__toggle-button {
    width: 100%;

    &::after {
        content: "";
        position: absolute;
        top: 0;
        right: .66em;
        bottom: 0;
        display: block;
        width: 1em;
        min-width: 0;
        aspect-ratio: 1/1;
        mask: url(../img/switch_icon__open.svg) center center / contain no-repeat;
        background-color: var(--color-main);
        margin: auto;
    }

    &.is-active::after {
        mask-image: url(../img/switch_icon__close.svg);
    }

    @media (hover: hover) {
        &:hover::after {
            background-color: #fff;
        }
    }
}

/* 関連リンク
--------------------------------------------------------------- */

.banner-list {
    display: grid;
    grid-template-columns: minmax(0, 1fr);
    gap: 2em 0;
}

.banner-list__link {
    display: grid;
    grid-template-columns: 240px minmax(0, 1fr);
    gap: 0 1em;
    width: fit-content;

    & img {
        width: 100%;
    }
}

.banner-list__title {
    color: var(--color-main);
    font-weight: 700;

    &::after {
        content: "";
        display: inline-block;
        min-width: 0;
        width: 1.12em;
        aspect-ratio: 1/1;
        mask: url(../img/icon_external.svg) center center / contain no-repeat;
        background-color: var(--color-main);
        margin-left: .5em;
    }
}



/* 以下、SP ※390pxベース
--------------------------------------------------------------- */

@media screen and (max-width: 1023px) {

    /* SP QA
    --------------------------------------------------------------- */

    .qa-index {
        padding: 1em 1.5em;
        border-radius: 1.28vw;

        .qa-index__list {
            gap: 1em;
        }

        & li {
            width: 100%;
        }

        & a {
            font-size: .9em;
        }
    }

    .qa-list__item {

        & dt,
        & dd {
            font-size: 4.62vw;
            grid-template-columns: 10.26vw minmax(0, 1fr);
            gap: 2.56vw;

            &::before {
                font-size: 4.62vw;
            }
        }

        & dd {
            font-size: 4.10vw;
        }

    }


    /* SP アコーディオン
    --------------------------------------------------------------- */

    .details-block {
        padding: 5.13vw;
        border-radius: 1.28vw;
        margin-bottom: 7.18vw;
    }

    .details__header {
        grid-template-columns: 1fr 23.08vw;
    }

    .details__title {
        font-size: 1.125em;
    }

    .details__body {
        padding: 0 0 1em;

        &::before {
            height: 1.28vw;
            border-radius: .77vw;
            margin: 3.85vw 0 5.13vw;
        }
    }

    .details__toggle-button {
        width: 100%;
    }


    /* SP 関連リンク
    --------------------------------------------------------------- */

    .banner-list {
        gap: 3em 0;
    }

    .banner-list__link {
        grid-template-columns: minmax(0, 1fr);
        gap: .5em;
        width: auto;
    }

    .banner-list__title {
        line-height: 1.56;
    }

    .banner-list__caption {
        font-size: .9em;
    }

}


/* 以下、プリント
--------------------------------------------------------------- */

@media print {}